%include	/usr/lib/rpm/macros.perl
Summary:	Postfix Greylisting Policy Server
Summary(pl.UTF-8):	Serwer do polityki "szarych list" dla Postfiksa
Name:		postgrey
Version:	1.37
Release:	4
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://postgrey.schweikert.ch/pub/%{name}-%{version}.tar.gz
# Source0-md5:	2ef30f42ad84f00caf41c49b593b8e2a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	http://www.lipek.pl/postgrey_clients_dump
# Source3-md5:	155b88f2781b03535bfa2797cda28e52
Patch0:		%{name}-group.patch
Patch1:		%{name}-postfix_dir.patch
Patch2:		disable-transaction-logic
URL:		http://postgrey.schweikert.ch/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	perl-IO-Multiplex
Requires:	postfix
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/mail

%description
Postgrey is a Postfix policy server implementing greylisting. When a
request for delivery of a mail is received by Postfix via SMTP, the
triplet CLIENT_IP / SENDER / RECIPIENT is built. If it is the first
time that this triplet is seen, or if the triplet was first seen less
than 5 minutes, then the mail gets rejected with a temporary error.
Hopefully spammers or viruses will not try again later, as it is
however required per RFC.

Edit your configuration files:
%{_sysconfdir}/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service unix:postgrey/socket, ...
or if you like to use inet sockets (modify the IP if needed):
/etc/sysconfig/postgrey:
  OPTIONS="--inet=127.0.0.1:10023"
%{_sysconfdir}/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service inet:127.0.0.1:10023, ...

%description -l pl.UTF-8
Postgrey to serwer polityki dla Postfiksa implementujący "szare
listy". Kiedy Postfix otrzymuje po SMTP żądanie dostarczenia poczty,
tworzony jest triplet IP_KLIENTA / NADAWCA / ADRESAT. Jeśli dany
triplet jest widziany po raz pierwszy lub był widziany po raz pierwszy
mniej niż 5 minut temu, poczta jest odrzucana z tymczasowym błędem.
Można mieć nadzieję, że spamerzy i wirusy nie będą próbować ponownie,
co jest jednak wymagane przez RFC.

Aby użyć tego programu należy zmodyfikować pliki konfiguracyjne:
%{_sysconfdir}/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service unix:postgrey/socket, ...
lub jeśli chcemy używać gniazd inet (w razie potrzeby zmienić IP):
/etc/sysconfig/postgrey:
  OPTIONS="--inet=127.0.0.1:10023"
%{_sysconfdir}/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service inet:127.0.0.1:10023, ...

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sysconfdir},%{_sbindir}} \
	$RPM_BUILD_ROOT%{_var}/spool/postfix/%{name}

# init script:
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install postgrey_whitelist_clients $RPM_BUILD_ROOT%{_sysconfdir}
install postgrey_whitelist_recipients $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/postgrey_whitelist_clients.local

install postgrey %{SOURCE3} contrib/postgreyreport $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 155 postgrey
%useradd -u 155 -d %{_var}/spool/postfix/%{name} -s /sbin/false -c "Postfix Greylisting Policy" -g postgrey postgrey

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = 0 ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = 0 ]; then
	%userremove postgrey
	%groupremove postgrey
	# should be done?:
	rm -rf %{_var}/spool/postfix/%{name}
fi

%files
%defattr(644,root,root,755)
%doc README Changes
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postgrey_whitelist_clients
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postgrey_whitelist_recipients
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postgrey_whitelist_clients.local
%attr(640,root,postgrey) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/postgrey*
%dir %attr(711,postgrey,postgrey) %{_var}/spool/postfix/%{name}
%changelog
* Fri Aug 31 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/postgrey.git;a=log;h=master

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 471cfb4
- rebuild with perl 5.28.0
- release 4 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 1f3653a
- rebuild with perl 5.28.0
- release 3 (by relup.sh)

* Thu Aug 09 2018 Tomasz Pala <gotar@pld-linux.org> 51133ff
- restored daemon() invocation

* Tue Aug 07 2018 Tomasz Pala <gotar@pld-linux.org> e6ff720
- pidof -x postgrey doesn't return PID, pass pidfile to status(), fixed start msg

* Tue Aug 07 2018 Tomasz Pala <gotar@pld-linux.org> e8e7d08
- fixed pidfile header (used by systemd), do not wrap with daemon()
- these date back to initial commit; always remove lockfile on stop()

* Fri Feb 10 2017 Marcin Krol <hawk@tld-linux.org> 799e786
- updated to 1.37

* Wed Apr 13 2016 Marcin Krol <hawk@tld-linux.org> ee854fe
- updated to 1.36

* Mon Oct 27 2014 Adam Osuchowski <adwol@pld-linux.org> 0f9e53b
- up to 1.35
- fixed pidfile handling

* Thu Nov 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 74537a9
- rel 2; patch from debian that should fix postgrey dying at log rotation

* Fri May 06 2011 marti <marti@pld-linux.org> c07cd7c
- up to 1.34

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> 681c75a
- up to 1.33

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 2a33848
- fixed Group

* Thu Apr 30 2009 zbyniu <zbyniu@pld-linux.org> 959cf60
- full path in daemon()

* Sat Dec 27 2008 Paweł Gołaszewski <blues@pld-linux.org> 3344aac
- 1.32

* Wed Nov 28 2007 Paweł Gołaszewski <blues@pld-linux.org> 5f96b86
- there is postgrey group - use it. Besides, nobody group/user can't own
  anything!!

* Wed Nov 28 2007 Paweł Gołaszewski <blues@pld-linux.org> 154afc4
- rel.3

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> f153241
- updated group patch, release 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> ee3c4e7
- updated for 1.31

* Sun Nov 11 2007 Paweł Gołaszewski <blues@pld-linux.org> e16721f
- use new homepage

* Sun Nov 11 2007 zbyniu <zbyniu@pld-linux.org> fa1973f
- up to 1.31

